View Issue Details

IDProjectCategoryView StatusLast Update
0000089ascendcompilerpublic2008-02-10 13:03
Reporterjohn 
Assigned Tojohn 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.9.6 
Summary0000089: gcc-style errors
DescriptionIn order to pave the way for a possible editor-friendly version of the ASCEND compiler, it would be good to start standardising ASCEND's error messages into a form that could be readily processed by regular expressions to yeild the filename and line number of errors found. A good style that could be confidently integrated with a number of existing text editor tools (for example TextPad, KDevelop?, etc) would be that used by GCC, like

filename.c:82: Syntax error, expecting '}', saw ']'.

Tools like TextPad are able to pattern match the start of each line so that you can click on the error message to be taken to the line of code which caused the error.

At present, ASCEND error messages span multiple lines and are somewhat word, making it difficult to easily integrate them into an automated envorinment.
TagsNo tags attached.

Relationships

related to 0000133 closedjohn Standardised error reporting 

Activities

john

2005-11-05 05:10

administrator   ~0000029

A good solution would be to have a 'report_error' method in the interface which is called each time an error needs to be reported back to the UI. This could then generate an Asc-Error type message, or perhaps enter the error into a list or table somewhere.

john

2006-01-18 17:23

administrator   ~0000241

The error_reporter and CONSOLE_DEBUG methods (for example changeset 235) do this now.

Issue History

Date Modified Username Field Change
2005-10-11 08:11 john New Issue
2005-10-11 08:12 john Description Updated
2005-11-05 05:10 john Note Added: 0000029
2005-11-15 04:14 john Relationship added related to 0000133
2005-11-30 09:34 john Status new => assigned
2005-11-30 09:34 john Assigned To => john
2006-01-18 17:23 john Status assigned => resolved
2006-01-18 17:23 john Resolution open => fixed
2006-01-18 17:23 john Note Added: 0000241
2006-02-07 13:17 john Target release => 1.0
2006-02-07 13:22 john Target release 1.0 => 0.9.6
2006-06-22 07:36 john Status resolved => feedback
2006-06-22 07:38 john Status feedback => resolved
2006-06-22 07:38 john Fixed in Version => 0.9.6
2008-02-10 13:03 john Status resolved => closed